<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>ch.mobi.mobitor.plugins</groupId>
        <artifactId>mobitor-plugins-parent</artifactId>
        <version>9.9.9-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>mobitor-plugin-dwh</artifactId>

    <properties>
        <jacoco.it.destFile>${project.basedir}/../../target/jacoco-it.exec</jacoco.it.destFile>
        <jacoco.destFile>${project.basedir}/../../target/jacoco.exec</jacoco.destFile>
    </properties>

    <dependencies>
        <dependency>
            <groupId>ch.mobi.mobitor</groupId>
            <artifactId>mobitor-plugins-api</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-json</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-webflux</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jetbrains</groupId>
            <artifactId>annotations</artifactId>
        </dependency>

        <dependency>
            <groupId>org.mockito</groupId>
            <artifactId>mockito-core</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.assertj</groupId>
            <artifactId>assertj-core</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>ch.mobi.mobitor</groupId>
            <artifactId>mobitor-plugins-test</artifactId>
            <scope>test</scope>
        </dependency>
    </dependencies>

</project>
